PamCut: TofBetaCut Class Reference

# TofBetaCut Class Reference

The TofBeta cut. This cut ensures that beta (referred to a specified track) has been calculated. More...

`#include <TofBetaCut.h>`

Inheritance diagram for TofBetaCut:

List of all members.

## Public Member Functions
| TofBetaCut (const char *cutName, int *trackTof=NULL, float resMax=10., float qualCut=10., float chi2Cut=20.)
| Constructor. The parameters are: the TOF-index for the track which is necessary to input to derive the beta and (resMax, qualCut and chi2Cut) for the quality of beta. Various combinations of quality parameters are possible: default low-quality beta (used for beta[12]): 10.,10.,20.; medium-quality beta: 5.,15.,4.; high-quality beta: 3.,20.,3.
| ~TofBetaCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The TofBeta check.
## Public Attributes
float | beta
| The beta value for the last examined event.
## Private Attributes
int * | _trackTof
float | _resMax
float | _qualCut
float | _chi2Cut

## Detailed Description

The TofBeta cut. This cut ensures that beta (referred to a specified track) has been calculated.

Definition at line 21 of file TofBetaCut.h.

## Constructor & Destructor Documentation

TofBetaCut::TofBetaCut | ( | const char * | cutName,
|  | int * | trackTof = `NULL`,
|  | float | resMax = `10.`,
|  | float | qualCut = `10.`,
|  | float | chi2Cut = `20.` |
| ) |  |  | `[inline]`

Constructor. The parameters are: the TOF-index for the track which is necessary to input to derive the beta and (resMax, qualCut and chi2Cut) for the quality of beta. Various combinations of quality parameters are possible: default low-quality beta (used for beta[12]): 10.,10.,20.; medium-quality beta: 5.,15.,4.; high-quality beta: 3.,20.,3.

Parameters:

  | cutName | The cut's name.
  | trackTof | Pointer to the TOF-index indicating the track to be used when evaluating the beta (default value for TOF_index is 0, corresponding to the TOF stand-alone track [no TRK information to build the TOF stand-alone track]). The pointer to the TOF_index for TRK-track as given by TrkPhSinCut can be used.
  | resMax | Default: 10. (equivalent to beta[12])
  | qualCut | Default: 10. (equivalent to beta[12])
  | chi2Cut | Default: 20. (equivalent to beta[12])

Definition at line 38 of file TofBetaCut.h.

TofBetaCut::~TofBetaCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 42 of file TofBetaCut.h.

## Member Function Documentation

int TofBetaCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The TofBeta check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if beta ("high quality") has been calculated

  0 otherwise

Implements PamCut.

Definition at line 12 of file TofBetaCut.cpp.

References _chi2Cut, _qualCut, _resMax, _trackTof, beta, and CUTOK.

## Member Data Documentation

float TofBetaCut::_chi2Cut`[private]`

Definition at line 59 of file TofBetaCut.h.

Referenced by Check().

float TofBetaCut::_qualCut`[private]`

Definition at line 59 of file TofBetaCut.h.

Referenced by Check().

float TofBetaCut::_resMax`[private]`

Definition at line 59 of file TofBetaCut.h.

Referenced by Check().

int* TofBetaCut::_trackTof`[private]`

Definition at line 57 of file TofBetaCut.h.

Referenced by Check().

float TofBetaCut::beta

The beta value for the last examined event.

Definition at line 53 of file TofBetaCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TofCuts/TofBetaCut/TofBetaCut.h
- TofCuts/TofBetaCut/TofBetaCut.cpp